# DataExchange
TKSTEP
StepAP214

# StepAP214_DateItem Class Reference

`#include <StepAP214_DateItem.hxx>`

Inheritance diagram for StepAP214_DateItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_DateItem ()
| Returns a DateItem SelectType .
virtual Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const

Recognizes a DateItem Kind Entity that is :
1 -> ApprovalPersonOrganization
2 -> AppliedDateAndPersonAssignment
3 -> AppliedOrganizationAssignment
4 -> AssemblyComponentUsageSubstitute
5 -> DocumentFile
6 -> Effectivity
7 -> MaterialDesignation
8 -> MechanicalDesignGeometricPresentationRepresentation
9 -> PresentationArea
10 -> Product
11 -> ProductDefinition
12 -> ProductDefinitionFormation
13 -> ProductDefinitionRelationship
14 -> PropertyDefinition
15 -> ShapeRepresentation
0 else
.

Standard_EXPORT Handle_StepBasic_ApprovalPersonOrganization | ApprovalPersonOrganization () const
| returns Value as a ApprovalPersonOrganization (Null if another type)
Standard_EXPORT Handle_StepAP214_AppliedPersonAndOrganizationAssignment | AppliedPersonAndOrganizationAssignment () const
| returns Value as a AppliedDateAndPersonAssignment (Null if another type)
Standard_EXPORT Handle_StepAP214_AppliedOrganizationAssignment | AppliedOrganizationAssignment () const
| returns Value as a AppliedOrganizationAssignment (Null if another type)
Standard_EXPORT Handle_StepBasic_Effectivity | Effectivity () const
| returns Value as a Effectivity (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_DateItem::StepAP214_DateItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepAP214_AppliedOrganizationAssignment StepAP214_DateItem::AppliedOrganizationAssignment | ( |  | ) | const

Standard_EXPORT Handle_StepAP214_AppliedPersonAndOrganizationAssignment StepAP214_DateItem::AppliedPersonAndOrganizationAssignment | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ApprovalPersonOrganization StepAP214_DateItem::ApprovalPersonOrganization | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepAP214_DateItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Reimplemented from StepAP214_ApprovalItem.

Standard_EXPORT Handle_StepBasic_Effectivity StepAP214_DateItem::Effectivity | ( |  | ) | const

void StepAP214_DateItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

void* StepAP214_DateItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

void* StepAP214_DateItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepAP214_ApprovalItem.

The documentation for this class was generated from the following file:

- StepAP214_DateItem.hxx